package com.dev.swms.server.model.base;

import java.util.Date;
import java.util.List;
import java.util.Set;

import com.dev.energy.server.model.Entity;

/**
 * 线路
 * @author 44700
 *
 */
public class Line extends Entity{
	private String lineName;//线路名称
	private City city;//所属城市
	private boolean beDisabled ;//是否失效
	private String describe;//描述
	private String creatPeople;//创建人
	private Date creatDate;//创建时间
	
	private Set<Store> store;//门店
	
	
	
	
	public Set<Store> getStore() {
		return store;
	}
	public void setStore(Set<Store> store) {
		this.store = store;
	}
	public boolean isBeDisabled() {
		return beDisabled;
	}
	public void setBeDisabled(boolean beDisabled) {
		this.beDisabled = beDisabled;
	}
	public String getDescribe() {
		return describe;
	}
	public void setDescribe(String describe) {
		this.describe = describe;
	}
	public String getCreatPeople() {
		return creatPeople;
	}
	public void setCreatPeople(String creatPeople) {
		this.creatPeople = creatPeople;
	}
	public Date getCreatDate() {
		return creatDate;
	}
	public void setCreatDate(Date creatDate) {
		this.creatDate = creatDate;
	}
	public String getLineName() {
		return lineName;
	}
	public void setLineName(String lineName) {
		this.lineName = lineName;
	}
	public City getCity() {
		return city;
	}
	public void setCity(City city) {
		this.city = city;
	}
	
}
